<?php
/**
 * Created by PhpStorm.
 * User: rafaelporto
 * Date: 28/01/2016
 * Time: 13:11
 */

namespace Factory;

use \Teknisa\Model\Geral\Entities;
use \Util\Utilities;
use Doctrine\ORM\EntityManager;

class Operador
{
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function save(Entities\Operador $operador = null, $nmoperador, $dsemailoper, $idativo, $cdcliente,
                         $password)
    {
        if (!$operador) {
            $operador = new Entities\Operador();
            $operador->setCdcliente($cdcliente);
            $operador->setCdsenhaoperweb($password);
            $operador->setNrorg(Utilities::getEnvironment()->getCurrentOrganizationId());
        }
        $operador->setNmoperador($nmoperador);
        $operador->setDsemailoper($dsemailoper);
        $operador->setIdativo($idativo);
        //TODO aquardando entidade atualizada
        //$operador->setIdopersaas($idativo);

        return $operador;
    }


    public function findOperator(array $params)
    {
        $sql = "SELECT OPER.NMOPERADOR AS NOME, PARC.NRINSCRICAOPARC AS CPF, OPER.DSEMAILOPER AS EMAIL
                  FROM OPERADOR OPER
                  JOIN PARCNEGOCIO PARC 
                    ON PARC.NRPARCNEGOCIO = OPER.NRPARCNEGOCIO
                 WHERE OPER.CDOPERADOR = :CDOPERADOR
                   AND  IDOPERATIVO = 'A'";
        
        return $this->connection->executeQuery($sql, $params)->fetchAllAssociative();
    }

} 